aboutsummaryrefslogtreecommitdiffstats
path: root/ci/utility/rpms_check.sh
diff options
context:
space:
mode:
authorTaras Chornyi <tarasx.chornyi@intel.com>2017-08-21 15:43:32 +0300
committerTaras Chornyi <tarasx.chornyi@intel.com>2017-08-21 15:43:32 +0300
commitcbcddf4a51ccb24a49dfb97219b39f4c46cad5ad (patch)
tree28637facf7aaba2353bf5b2b937b42afd202239a /ci/utility/rpms_check.sh
parentfbb675e32aff3bc7079ba756643b803a979c7347 (diff)
ci: verify generated rpms
Check that all rpms listed in rpms_list file are generated Change-Id: I18d548bbfdff3f21c662670f4b3007827e6c1e41 Signed-off-by: Taras Chornyi <tarasx.chornyi@intel.com>
Diffstat (limited to 'ci/utility/rpms_check.sh')
-rwxr-xr-xci/utility/rpms_check.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/ci/utility/rpms_check.sh b/ci/utility/rpms_check.sh
new file mode 100755
index 00000000..a08b3ef9
--- /dev/null
+++ b/ci/utility/rpms_check.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+source $DIR/package-list.sh
+
+if [ -d $RPM_WORKDIR/RPMS/x86_64 ]
+then
+ ls $RPM_WORKDIR/RPMS/x86_64 > list_of_gen_pack
+else
+ echo "Can't access folder $RPM_WORKDIR with rpm packages"
+ exit 1
+fi
+
+for PACKAGENAME in `cat $DIR/rpms_list`
+do
+ if ! grep -q $PACKAGENAME list_of_gen_pack
+ then
+ echo "$PACKAGENAME is missing"
+ exit 2
+ fi
+done